summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_win.sh
diff options
context:
space:
mode:
authorBrad Henry <brad@samba.org>2006-10-24 01:40:15 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:21:38 -0500
commite0dfd66361e52d833e7a7ffa8ee7d77b33d6afd6 (patch)
tree5dc77e9576849867f72c6d4a8f143275d05a11cb /source4/script/tests/test_win.sh
parent622928924fd531bfe415b705c5da7125a5549039 (diff)
downloadsamba-e0dfd66361e52d833e7a7ffa8ee7d77b33d6afd6.tar.gz
samba-e0dfd66361e52d833e7a7ffa8ee7d77b33d6afd6.tar.bz2
samba-e0dfd66361e52d833e7a7ffa8ee7d77b33d6afd6.zip
r19474: Move the Samba server / Windows client test to its own script.
(This used to be commit 908b483ed096497e1604b67ea797c223c3e34adf)
Diffstat (limited to 'source4/script/tests/test_win.sh')
-rwxr-xr-xsource4/script/tests/test_win.sh22
1 files changed, 1 insertions, 21 deletions
diff --git a/source4/script/tests/test_win.sh b/source4/script/tests/test_win.sh
index da543a2b50..0cad46bbeb 100755
--- a/source4/script/tests/test_win.sh
+++ b/source4/script/tests/test_win.sh
@@ -7,13 +7,6 @@
# Copyright Brad Henry <brad@samba.org> 2006
# Released under the GNU GPL v2 or later.
-. script/tests/test_functions.sh
-
-. script/tests/wintest_functions.sh
-
-# This variable is defined in the per-hosts .fns file.
-. $WINTESTCONF
-
# Index variable to count the total number of tests which fail.
all_errs=0
@@ -40,19 +33,6 @@ $WINTEST_DIR/wintest_net.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
|| all_errs=`expr $all_errs + $?`
-test_name="WINDOWS CLIENT / SAMBA SERVER SHARE"
-old_errs=$all_errs
-cat $WINTEST_DIR/common.exp > $TMPDIR/client_test.exp
-cat $WINTEST_DIR/wintest_client.exp >> $TMPDIR/client_test.exp
-
-testit "$test_name" \
- expect $TMPDIR/client_test.exp || all_errs=`expr $all_errs + 1`
-
-if [ $old_errs -lt $all_errs ]; then
- # Restore snapshot to ensure VM is in a known state.
- restore_snapshot "\n$test_name failed."
- echo "Snapshot restored."
-fi
-rm -f $TMPDIR/client_test.exp
+$WINTEST_DIR/wintest_client.sh || all_errs=`expr $all_errs + $?`
testok $0 $all_errs